> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/bitcoin-gold-btg/btg_preciousblock.md).

# preciousblock - Bitcoin Gold

Example code for the preciousblock json-rpc method. Сomplete guide on how to use preciousblock json-rpc in GetBlock.io Web3 documentation.

#### Parameters

`blockhash` - string, required

the hash of the block to mark as precious

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \ 
--data-raw '{"jsonrpc": "2.0",
"method": "preciousblock",
"params": ["000000009ec5dd6b53858593718cacdaaec989aaf9028c68013947224712682e"],
"id": "getblock.io"}'
```

#### Response

```java
{
    "error": null,
    "id": "getblock.io",
    "result": null
}
```
